<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    android:background="@drawable/bg_main_orange"
    android:orientation="vertical" >

    <ImageView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentLeft="true"
        android:layout_alignParentTop="true"
        android:src="@drawable/logo_zhuxiao_orange" />

    <RelativeLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:background="@drawable/bg_login_frame_orange"
        android:orientation="vertical" >
        
        <ImageView
            android:id="@+id/imageView1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_alignParentTop="true"
            android:layout_marginLeft="15dp"
            android:layout_marginTop="5dp"
            android:src="@drawable/icon_login" />
        
        <LinearLayout
            android:id="@+id/layout_user_input"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_below="@+id/imageView1"
            android:layout_centerHorizontal="true"
            android:layout_marginLeft="25dp"
            android:layout_marginTop="30dp"
            android:gravity="center"
            android:orientation="vertical" >
            
            <LinearLayout
               android:id="@+id/layUserNo"
               android:layout_width="match_parent"
               android:layout_height="wrap_content"
               android:gravity="center_vertical"
               android:background="@drawable/bg_login_pwd_selector_orange" >
               
               <TextView
                   android:id="@+id/tvNo"
                   android:layout_width="wrap_content"
                   android:layout_height="wrap_content"
                   android:text="工号: "
                   android:textColor="@color/black"
                   android:textSize="28sp"
                   android:layout_marginLeft="20dp"
                   android:visibility="visible" >
               </TextView>

               <EditText
                   android:id="@+id/et_no"
                   android:layout_width="330dp"
                   android:layout_height="wrap_content"
                   android:layout_gravity="center_vertical"
                   android:background="@null"
                   android:maxLength="20"
                   android:layout_marginLeft="15dp"
                   android:singleLine="true"
                   android:paddingRight="30dp"
                   android:digits="abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789*＊#＃"
                   android:textColor="@color/black"
                   android:textSize="28sp" >
               </EditText>
           </LinearLayout>

            <LinearLayout
                android:id="@+id/layPwd"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:gravity="center_vertical"
                android:background="@drawable/bg_login_pwd_selector_orange" >

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="密码: "
                    android:textColor="@color/black"
                    android:textSize="28sp"
                    android:layout_marginLeft="20dp"
                    android:visibility="visible" >
                </TextView>

                <EditText
                    android:id="@+id/et_pwd"
                    android:layout_width="330dp"
                    android:layout_height="wrap_content"
                    android:inputType="numberPassword"
                    android:maxLength="6"
                    android:paddingLeft="15dp"
                    android:singleLine="true"
                    android:background="@null"
                    android:textColor="@color/black"
                    android:textSize="28sp" >
                </EditText>
            </LinearLayout>
        </LinearLayout>

        <Button
            android:id="@+id/btn_login"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:layout_below="@+id/layout_user_input"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="30dp"
            android:background="@drawable/btn_login_selector_orange"
            android:text="登    录"
            android:textColor="@color/white"
            android:textSize="30sp" />
        
        <Button 
            android:id="@+id/btn_change_skin"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:layout_marginLeft="430dp"
            android:background="@drawable/change_skin_selector_orange"/>
    </RelativeLayout>

    <!-- 点击启用助销蓝牙外设的布局 -->
    <LinearLayout
        android:id="@+id/linearLayout_bttips"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_alignParentLeft="true"
        android:layout_marginBottom="30dp"
        android:layout_marginLeft="69dp"
        android:visibility="visible" >

        <LinearLayout
            android:id="@+id/layBlueList"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom"
            android:background="#A0A0A0" >

            <ImageView
                android:id="@+id/iv_scan_bluelist"
                android:layout_width="48dp"
                android:layout_height="48dp"
                android:background="@drawable/icon_bt_orange" >
            </ImageView>
        </LinearLayout>

        <ImageView
            android:id="@+id/iv_blue_tip"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom"
            android:src="@drawable/blue_tips"
            android:visibility="visible" >
        </ImageView>
    </LinearLayout>
    
    <!-- 蓝牙设备列表的布局 -->
    <LinearLayout
        android:id="@+id/linearLayout_btlist"
        android:layout_width="226dp"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_alignParentLeft="true"
        android:layout_marginBottom="30dp"
        android:layout_marginLeft="69dp"
        android:orientation="vertical"
        android:visibility="visible" >

        <RelativeLayout
            android:id="@+id/lay_btlist"
            android:layout_width="226dp"
            android:layout_height="wrap_content"
            android:background="@color/white"
            android:visibility="gone" >

            <RelativeLayout
                android:layout_width="226dp"
                android:layout_height="98dp"
                android:visibility="gone" >
                
                <!-- 红线 -->
                <View
                    android:layout_width="3dp"
                    android:layout_height="98dp"
                    android:background="#FF6766" />
                
                <!-- 蓝牙状态 -->
                <ImageView
                    android:id="@+id/iv_bt_status"
                    android:layout_width="37dp"
                    android:layout_height="37dp"
                    android:layout_alignParentLeft="true"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="14dp"
                    android:src="@drawable/icon_bt_connected" />
                
                <!-- SYD_PRINTER_M -->
                <TextView
                    android:id="@+id/tv_bt_name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentTop="true"
                    android:layout_marginLeft="10dp"
                    android:layout_marginTop="12dp"
                    android:layout_toRightOf="@+id/iv_bt_status"
                    android:text="SYD_PRINT_M"
                    android:textColor="#44acb3"
                    android:textSize="24sp" />
                <!-- FF:FF:FF:FF:FF:FF -->
                
                <TextView
                    android:id="@+id/tv_bt_mac"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignLeft="@+id/tv_bt_name"
                    android:layout_below="@+id/tv_bt_name"
                    android:text="FF:FF:FF:FF:FF:FF"
                    android:textColor="#afa495"
                    android:textSize="18sp" />
            </RelativeLayout>
            
            <!-- 蓝牙设备列表 -->
            <ListView
                android:id="@+id/list_bluetooth_devices"
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="0dp"
                android:visibility="gone" >
            </ListView>
            
             <!-- 没有搜索到蓝牙 -->
            <LinearLayout 
               android:id="@+id/lay_no_devices"
                android:layout_width="fill_parent"
                android:layout_height="60dp"
                android:gravity="center"
                android:layout_marginTop="0dp" 
                android:visibility="gone">
                
		            <ImageView
		                android:layout_width="wrap_content"
		                android:layout_height="wrap_content"
		                android:layout_marginTop="0dp"
		                android:src="@drawable/icon_no_devices">
		            </ImageView>
		            <TextView 
		                android:layout_width="wrap_content"
		                android:layout_height="wrap_content"
		                android:textSize="20sp"
		                android:text="无可用蓝牙设备"/>
            </LinearLayout>
            
            <!-- 正在连接的layout -->
            <RelativeLayout
                android:id="@+id/lay_cover"
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:layout_marginTop="0dp"
                android:background="#88000000"
                android:clickable="true"
                android:focusable="true"
                android:gravity="center_horizontal"
                android:visibility="gone" >

                <ProgressBar
                    android:id="@+id/pb_linking"
                    android:layout_width="162dp"
                    android:layout_height="49dp"
                    android:indeterminateDrawable="@drawable/anim_linking" />
            </RelativeLayout>
        </RelativeLayout>
        
        <!-- 向上的箭头图标 -->
        <ImageView
            android:id="@+id/iv_btlist_bottom"
            android:layout_width="226dp"
            android:layout_height="12dp"
            android:src="@drawable/bg_bottom_btlist"
            android:visibility="gone" />

        <RelativeLayout
            android:layout_width="226dp"
            android:layout_height="48dp" >

            <!-- 蓝牙连接文本 -->
            <LinearLayout
                android:id="@+id/lay_move"
                android:layout_width="178dp"
                android:layout_height="48dp"
                android:layout_marginLeft="48dp"
                android:background="#44acb3"
                android:gravity="center"
                android:visibility="gone" >

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:text="蓝牙连接"
                    android:textColor="@color/white"
                    android:textSize="20sp" />
            </LinearLayout>

            <!-- 蓝牙连接图标 -->
            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="#A0A0A0" >

                <ImageView
                    android:id="@+id/iv_icon_bt"
                    android:layout_width="48dp"
                    android:layout_height="48dp"
                    android:background="@drawable/icon_bt_orange" />
            </LinearLayout>
        </RelativeLayout>
    </LinearLayout>

    <TextView
        android:id="@+id/tv_version"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_alignParentRight="true"
        android:layout_marginBottom="40dp"
        android:layout_marginRight="50dp"
        android:text="版本号:1.0.1"
        android:textColor="#FF5028"
        android:textSize="20sp" />
</RelativeLayout>